petsc-3.6.2 2015-10-02
Report Typos and Errors

# TSAlphaSetRadius

sets the desired spectral radius of the method (i.e. high-frequency numerical damping)

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSAlphaSetRadius(TS ts,PetscReal radius)

Logically Collective on TS

The algorithmic parameters \alpha_m and \alpha_f of the generalized-\alpha method can be computed in terms of a specified spectral radius \rho in [0,1] for infinite time step in order to

### control high-frequency numerical damping

alpha_m = 0.5*(3-\rho)/(1+\rho) alpha_f = 1/(1+\rho)

### Input Parameter

| ts | - timestepping context
| radius | - the desired spectral radius

### Options Database

-ts_alpha_radius <radius> -

### See Also

TSAlphaSetParams(), TSAlphaGetParams()

Level:intermediate
Location:src/ts/impls/implicit/alpha/alpha.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages